/* Blog - Hero Tagline */
@media screen and (min-width: 1025px) {
  .blog-hero-tagline .subtitle { font-size: 1rem !important; }
}

body .cms-blog-wrap { display: flex; flex-wrap: wrap; width: 100%; margin: 0 auto; }
body .cms-blog-wrap h1 { width: 100%; position: relative; margin: 0 0 2rem; padding-bottom: 1rem; color: hsl(var(--siteColor1)); line-height: 1; }
body .cms-blog-wrap h1:after { content: ""; display: block; width: 100%; position: absolute; top: 100%; left: 0; padding: 0; height: 0.3125rem; border: none; border-radius: var(--borderRadiusPill); background-color: hsla(var(--siteColor1), 10%); }
body .cms-blog-wrap .i-sidebar { margin: 0; }
body .i-content.blog { padding: 3rem 0; }
@media screen and (min-width: 992px) {
  body .cms-blog-wrap .i-sidebar { margin: 0.25rem 0 0; }
}
@media screen and (min-width: 1025px) {
  body .i-content.blog-category-loop { padding: 0 0 3rem; }
}

/* Blog - Loading Div */
.blog-loading { display: flex; justify-content: center; width: 100%; position: relative; padding: 2rem; }
.blog-loading .swiper-lazy-preloader { --swiper-preloader-color: hsl(var(--siteColor1)); --swiper-theme-color: hsl(var(--siteColor1)); }

/* ---------------------
Post - List & Detail 
--------------------- */
/* .blog-post { display: flex; flex-direction: column; margin-bottom: 1.25rem; padding: 1.5rem 2rem; background-color: hsl(var(--white)); border-radius: var(--borderRadius); box-shadow: var(--dropShadow); transition: all ease-in-out .4s; } */
.blog-post { display: flex; flex-direction: column; transition: all ease-in-out .4s; }
.blog-post-link { touch-action: none; display: flex; position: relative; text-decoration: none; transition: all ease-in-out .4s; }
.blog-post-link:hover { color: hsla(var(--siteColor1), 75%); text-decoration: none; }
.blog-post-header { width: 100%; display: flex; flex-direction: column; }
.blog-post-header small { color: #888; line-height: 1.15; }
.blog-post-header h1 { margin: 1rem 0 0.5rem; padding: 0; text-transform: capitalize; }
.blog-post-header h1:after { display: none; }
.blog-post-header h3 { margin: 1rem 0 0.5rem; font-family: var(--siteFont1); text-transform: capitalize; line-height: 1; }
.blog-post-img { display: block; width: 100%; height: auto; aspect-ratio: 16 / 9; object-fit: cover; margin-bottom: 1rem !important; border: 0.0625rem solid hsl(0,0%,90%); border-radius: var(--borderRadius); }
.blog-post-content { width: 100%; height: 100%; display: flex; flex-direction: column; justify-content: space-between; }
.blog-post-content img { max-width: 100%; height: auto; }
.blog-post-content,
.blog-post-content p,
.blog-post-content div:not([class^=h]),
.blog-post-content span:not([class^=h]),
.blog-post-content table { font-family: var(--siteFont) !important; }
.blog-post-content p:has(+ .blog-post-link) { margin-bottom: 0; }
/* .blog-post-content .blog-post-link { justify-content: center; align-items: center; margin-top: 0.9375rem; padding: 0.9375rem 1.25rem; background: hsl(var(--siteColor1)); border: none; border-radius: var(--borderRadiusPill); color: hsl(var(--white)); line-height: 1; }
.blog-post-content .blog-post-link:hover { background: hsl(var(--siteColor2)); color: hsl(var(--white)); text-decoration: none; } */
.blog-post-content .blog-post-link { margin-top: 0.75rem; text-transform: lowercase; text-decoration: underline; line-height: 1; }
.blog-post-content .blog-post-categories { font-weight: var(--wBold); }

/* ---------------------
Post List Page
--------------------- */
.cms-blog-grid-wrap { margin-bottom: 3rem; }
.blog-results { display: grid; grid-template-columns: 1fr; gap: 2rem; }
.blog-grid-item { margin-bottom: 0; width: 100%; }
.blog-grid-item .blog-post-header { margin: 0 0 0.5rem; }
.blog-grid-item .blog-post-header h3 { margin-top: 0; }
.blog-grid-item .blog-post-header .blog-post-link { display: -webkit-box; -webkit-line-clamp: 2; -webkit-box-orient: vertical; overflow: hidden; }
.blog-grid-item .blog-post-meta { margin-top: auto; }
@media screen and (min-width: 768px) {
  .blog-results { grid-template-columns: repeat(2, 1fr); }
}

/* ---------------------
Post Detail Page
--------------------- */
/* body .cms-blog-detail-wrap { margin: 0 0 1.25rem; } */
.blog-detail-item { flex: 0 0 100%; max-width: 100%; margin-bottom: 1.25rem; }
.blog-detail-item .blog-post-header { margin: 0 0 1rem; text-align: center; }
.blog-detail-item .blog-post-header .blog-tags { margin: 0 0 0.5rem; justify-content: center; }
.blog-detail-item .blog-post-header h1 { margin: 0 0 0.75rem; padding: 0; color: hsl(var(--bodyFontColor)); }
.blog-detail-item .blog-post-header h1:after { display: none; }

.blog-tags { display: flex; flex-wrap: wrap; margin-top: 1rem; font-size: 0.75rem; }
.blog-tag { flex-shrink: 0; display: flex; }
/* .blog-tag-link { display: flex; align-items: center; margin: 0.25rem; padding: 0.25rem 0.5rem; background: hsl(var(--siteColor1)); border-radius: var(--borderRadiusCheckbox); color: hsl(var(--white)); line-height: 1; font-weight: var(--wMedium); text-transform: capitalize; }
.blog-tag-link:hover { box-shadow: var(--boxShadow); }
.blog-tag .blog-tag-link:first-child { margin-left: 0; }
.blog-tag:hover .blog-tag-link,
.blog-tag:hover .icon { color: hsl(var(--white)); text-decoration: none; } */
.blog-tag-link { display: flex; align-items: center; margin: 0.25rem; font-size: 0.875rem; font-weight: var(--wBold); color: hsl(var(--siteColor3)); line-height: 1; text-transform: uppercase; letter-spacing: 0.0625rem; }
.blog-tag-link:hover { color: hsl(var(--siteColor1)); }
.blog-tag .icon { width: 1rem; height: 1rem; margin-right: 0.25rem; }
.blog-tag span { align-self: flex-end; }

/* Posts Pagination */
.blog-post-nav { display: flex; flex-wrap: wrap; justify-content: space-between; column-gap: 2rem; row-gap: 1rem; width: 100%; position: relative; margin: 1rem 0; padding-top: 1rem; }
.blog-post-nav:before { content: ""; display: block; width: 100%; position: absolute; bottom: 100%; padding: 0; height: 0.3125rem; border: none; border-radius: var(--borderRadiusPill); background-color: hsla(var(--siteColor1), 10%); }
.blog-post-nav a { flex-grow: 1; display: flex; flex-direction: column; text-decoration: none !important; }
.blog-post-nav a span { display: inline-flex; align-items: center; }
/* .blog-post-nav .btn { display: flex; align-items: center; margin-bottom: 0.5rem; }
.blog-post-nav .btn .icon { width: 1rem !important; height: 1rem !important; }
.blog-post-nav .btn-prev .icon { margin-right: 0.25rem; }
.blog-post-nav .btn-next .icon { margin-left: 0.25rem; } */
@media screen and (min-width: 768px) {
  .blog-post-nav { flex-wrap: nowrap; }
}

/* Related Posts */
.blog-related-posts .blog-related-posts-results { display: grid; grid-template-columns: 1fr; gap: 2rem; }
@media screen and (min-width: 768px) {
  .blog-related-posts .blog-related-posts-results { grid-template-columns: repeat(3, 1fr); }
  .blog-related-posts .blog-post-img { aspect-ratio: 3 / 2; }
}

/* ---------------------
Blog Sidebar 
--------------------- */
.blog-sidebar { margin-top: 3rem; display: flex; flex-wrap: wrap; padding: 1.25rem 0.9375rem; background: hsl(0, 0%, 95%); border-radius: var(--borderRadius); }
.blog-sidebar-block { flex-grow: 1; flex-basis: 100%; }
.blog-sidebar-block:not(:last-child) { margin-bottom: 1.5rem; padding-bottom: 1.5rem; border-bottom: 0.0625rem solid hsla(var(--black), 10%); }
.blog-sidebar-block.blog-sidebar-search { flex-basis: 100%; max-width: 100%; }
.blog-sidebar-title { margin-bottom: 1.5rem; font-family: var(--siteFont1); font-size: var(--titleFontSize3); color: hsl(var(--bodyFontColor)); }
@media screen and (min-width: 768px) {
  .blog-sidebar-block { flex-basis: 50%; }
}
@media screen and (min-width: 768px) and (max-width: 991px) {
  .blog-sidebar-block { padding: 0 0.9375rem; }
  .blog-sidebar-block:not(:last-child) { margin-bottom: 0; padding-bottom: 0; border-bottom: none; }
}
@media screen and (min-width: 992px) {
  .col-lg-4:has(> .blog-sidebar) { padding-left: 2rem; border-left: 0.0625rem solid hsla(var(--black), 15%); }
  .col-lg-8:has(> .cms-blog-wrap) { padding-right: 2rem; }
  .blog-sidebar { margin-top: 0; padding: 0; background: transparent; }
  .blog-sidebar-block { flex-basis: 100%; max-width: 100%; }
}

/* Blog Sidebar List */
/* .blog-list-group { padding-left: 1.25rem; }
.blog-list-group li { list-style: circle; margin-bottom: 0.25rem; line-height: 1.25; } */
.blog-list-group { margin: 0; padding: 0;  }
.blog-list-group li { list-style: none; line-height: 1.25; }
.blog-list-group li:not(:last-child) { margin-bottom: 0.5rem; }
.blog-list-group li a { text-transform: uppercase; }
.blog-list-link { display: inline-flex; position: relative; padding-bottom: 0.125rem; border-bottom: 0.125rem solid transparent; color: hsl(var(--siteColor1)); line-height: 1; text-transform: capitalize; transition: all 0.4s ease-in-out; }
.blog-list-link:hover { border-bottom-color: hsl(var(--siteColor1)); text-decoration: none; }

/* Sidebar Search Form */
.blog-search-form-wrap { margin: 1rem 0 0; }
.blog-search-form-wrap .site-search-form label { color: hsl(0,0%,50%); }
.blog-search-form-wrap .site-search-term[type=search] { border-color: hsl(0,0%,80%); color: hsl(var(--bodyFontColor)); }
.blog-search-form-wrap .site-search-submit { background: hsl(var(--siteColor1)); color: hsl(var(--white)); border-color: hsl(0,0%,80%); }
.blog-search-form-wrap .site-search-submit:hover { background: hsl(var(--siteColor2)); color: hsl(var(--white)); }

/* Sidebar Recent Posts */
.blog-sidebar-recent-posts .blog-list-group { margin: 0; padding: 0; display: flex; flex-direction: column; gap: 1.5rem; }
.blog-sidebar-recent-posts .blog-sidebar-recent-post { width: 100%; margin: 0; list-style: none; font-size: 0.875rem; line-height: 1.5; }
.blog-sidebar-recent-post .blog-post-img-wrap { width: 100%; display: block; aspect-ratio: 21 / 9; margin-bottom: 1rem !important; border: 0.0625rem solid hsl(0,0%,90%); border-radius: var(--borderRadius); position: relative; overflow: hidden;}
.blog-sidebar-recent-post .blog-post-img { width: 100%; height: 100%; aspect-ratio: unset; object-fit: cover; margin-bottom: 0 !important; border: none; border-radius: var(--borderRadius); }
.blog-sidebar-recent-post .blog-post-header h4 { font-size: 1.25rem;  }
.blog-sidebar-recent-post .subtitle { font-size: 0.75rem; }


/* ---------------------
Post List Category Page 
--------------------- */
.blog-results-by-category { width: 100%; }
.blog-results-by-category .blog-category-header { margin-bottom: 1rem; }
.blog-results-by-category .blog-category-title { margin-bottom: 0.25rem; }
.blog-results-by-category .blog-category-view-all { margin-left: 0.25rem; }
.blog-results-by-category .blog-category-grid { margin-bottom: 3rem; display: grid; grid-template-columns: 1fr; gap: 2rem; }
.blog-results-by-category .blog-grid-item { width: 100%; max-width: 100%; margin-bottom: 0; }
@media screen and (min-width: 768px) {
  .blog-results-by-category .blog-category-grid { grid-template-columns: repeat(2, 1fr); }
}

/* Anchors */
.blog-category-anchors { display: none; }
@media screen and (min-width: 1025px) {
  .blog-category-anchors { width: 100%; padding: 1rem 0;  display: block; background: hsl(var(--white)); position: sticky; position: -webkit-sticky; top: var(--headerHeight, 7rem); z-index: 2; }
  .blog-category-anchor-list { margin: 0; padding: 0; display: flex; align-items: center; list-style: none; gap: 1.5rem; }
  .blog-category-anchor-item { list-style: none; }
  .blog-category-anchor { padding: 0.5rem 0; background-color: transparent; border: none; text-transform: uppercase; cursor: pointer; }
  .blog-category-anchor:hover,
  .blog-category-anchor:active,
  .blog-category-anchor:focus { box-shadow: none; }
  .blog-category-anchor.active { color: hsl(var(--siteColor1)); }
  .blog-category-anchor-indicator { height: 0.125rem; width: 0; position: absolute; bottom: 0; left: 0; background: hsl(var(--siteColor1)); transition: left 0.4s ease, width 0.4s ease; pointer-events: none; }
}

/* ---------------------
Blog Callouts 
--------------------- */
.cms-blog-callouts-wrap { padding: 4rem 0 0; position: relative; }
.cms-blog-callout { padding: 4rem 0; position: relative; }
.cms-blog-callout .title { font-family: var(--siteFont1); }
@media (min-width: 1025px) {
  .cms-blog-callout .title { font-size: 2.5rem; }
}
/* Guide Callout */
.cms-blog-guide-callout { background-repeat: repeat !important; background-position: top left !important; background-size: clamp(20rem, 25rem, 100vw) !important; }
.cms-blog-guide-callout:before { content: ""; width: 100%; height: 100%; background-color: hsla(var(--siteColor6), 50%); position: absolute; inset: 0; }
.cms-blog-guide-callout:after { content: ""; width: 100%; height: 100%; background-image: url('/images/layout/palm-leaf-left.png'); background-position: top left !important; background-repeat: no-repeat !important; background-size: clamp(5rem, 14.1875rem, 25vw) !important; position: absolute; inset: 0; }
.cms-blog-guide-callout .container { z-index: 1; }
.cms-blog-guide-callout .blog-callout-img-wrap { aspect-ratio: 1 / 1; width: 100%; max-width: 15rem; height: auto; margin: 0 auto 2rem; border-radius: var(--borderRadiusCircle); position: relative; overflow: hidden; }
.cms-blog-guide-callout .blog-callout-img { width: 100%; height: 100%; object-fit: cover; border-radius: inherit; }
/* Fishing Callout */
.cms-blog-fishing-callout .blog-callout-img-wrap { width: 100%; max-width: 35rem; margin: 0 auto 2rem; position: relative; }
.cms-blog-fishing-callout .blog-callout-img { width: 100%; height: auto; } 
/* Discover Callout */
.cms-blog-discover-callout .row { row-gap: 1rem; }
.cms-blog-discover-callout .blog-callout { width: 100%; aspect-ratio: 9 / 8; position: relative; } 
.cms-blog-discover-callout .blog-callout-img { width: 100%; height: 100%; object-fit: cover; position: absolute; inset: 0; }
.cms-blog-discover-callout .blog-callout-info { height: 100%; width: 100%; padding: 1.5rem; display: flex; flex-direction: column; justify-content: space-between; align-items: center; background: linear-gradient(hsla(var(--black), 50%), hsla(var(--black), 10%)); position: relative; z-index: 1; }
.cms-blog-discover-callout .blog-callout-info .subtitle { font-size: 1.125rem; }